{% extends 'base.html.twig' %}

{% block title %}Connexion{% endblock %}

{% block body %}
<div class="container bg-white shadow py-2 my-5">
    <form method="post">
        {% if error %}
        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
        {% endif %}

        {% if app.user %}
        <div class="mb-3">
            Vous êtes connecté(e) en tant que {{ app.user.username }}, <a
                href="{{ path('app_logout') }}">Déconnexion</a>
        </div>
        {% endif %}

        <h1 class="h3 mb-3 font-weight-normal text-center">Connectez-vous</h1>
        <label for="inputEmail">Email</label>
        <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control mb-3" required
            autofocus>
        <label for="inputPassword">Mot de passe</label>
        <input type="password" name="password" id="inputPassword" class="form-control" required>

        <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

        {#
        Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
        See https://symfony.com/doc/current/security/remember_me.html

        <div class="checkbox mb-3">
            <label>
                <input type="checkbox" name="_remember_me"> Remember me
            </label>
        </div>
        #}
        <div class="mt-3 text-center">
            <button class="btn btn-deal text-light mr-2" type="submit">Se connecter</button>
            <p><a href="{{ path('inscription')}}">S'inscrire</a></p>
        </div>

    </form>
</div>
{% endblock %}
